Subject: Re: [PATCH 0/2] am: support --always option to am empty commits

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Nov 2021 08:08:16 -0800

René Scharfe <[email-masked]> writes:

>>> The symmetry is compelling, but "always" is quite generic.  I can see
>>> e.g. someone expecting "git am --always" to imply --keep-non-patch.
>>
>> What symmetry?
>
> To have the same option in both producer and consumer.

Well, "--always" that stands for "--always-show-header" seeps
through to the command line parser from revision.c layer but that is
by accident, and is not even documented.  We may want to file it as
a bug and fix it later.

As you mentioned, allow-empty-commit does sound like a much better
name.